Bug 1778191 (CVE-2019-19582) - CVE-2019-19582 xen: denial of service in find_next_bit() (XSA-307)
Summary: CVE-2019-19582 xen: denial of service in find_next_bit() (XSA-307)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-19582
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1782211
Blocks: 1778192
TreeView+ depends on / blocked
 
Reported: 2019-11-29 13:11 UTC by Dhananjay Arunesh
Modified: 2020-02-18 15:18 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 15:16:52 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-11-29 13:11:04 UTC
An issue was discovered in Xen through 4.12.x allowing x86 guest OS users to cause a denial of service (infinite loop) because certain bit iteration is mishandled. In a number of places bitmaps are being used by the hypervisor to track certain state. Iteration over all bits involves functions which may misbehave in certain corner cases: On x86 accesses to bitmaps with a compile time known size of 64 may incur undefined behavior, which may in particular result in infinite loops. A malicious guest may cause a hypervisor crash or hang, resulting in a Denial of Service (DoS). All versions of Xen are vulnerable. x86 systems with 64 or more nodes are vulnerable (there might not be any such systems that Xen would run on). x86 systems with less than 64 nodes are not vulnerable.

Comment 1 Marian Rehak 2019-12-11 12:41:42 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1782211]

Comment 2 Dhananjay Arunesh 2019-12-12 06:26:26 UTC
External References:

https://xenbits.xen.org/xsa/advisory-307.html


Note You need to log in before you can comment on or make changes to this bug.